public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-regressions/
Date: Thu,  5 Nov 2020 01:39:21 +0000 (UTC)	[thread overview]
Message-ID: <1604540300.f87f69fee25b89e767d3c4e66757b19cbbe1c0a3.mattst88@gentoo> (raw)

commit:     f87f69fee25b89e767d3c4e66757b19cbbe1c0a3
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Nov  4 09:40:58 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Nov  5 01:38:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f87f69fe

dev-python/pytest-regressions: version bump 2.0.2

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/pytest-regressions/Manifest             |  1 +
 .../pytest-regressions-2.0.2.ebuild                | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/pytest-regressions/Manifest b/dev-python/pytest-regressions/Manifest
index 939a2ea0cd1..c6a37346fed 100644
--- a/dev-python/pytest-regressions/Manifest
+++ b/dev-python/pytest-regressions/Manifest
@@ -1 +1,2 @@
 DIST pytest-regressions-2.0.1.tar.gz 77934 BLAKE2B 4bf9868afd3bae1ab1668a6cb75bbc661336b3bd7dca23b0b6e0ab810cb60645737e45008c74a09f90763869982db5d819f170f6b251d9419681ceee810c4657 SHA512 9c35f356ef2c2914674b022b4a357ec75a4a12c8090c44d959111f1eaa1f10f492f8103098b273292bff08a5957d7f2ae3f0b0bd051438d6467ce1491f234d97
+DIST pytest-regressions-2.0.2.tar.gz 78362 BLAKE2B 67c37c49230d5b84869b0743ef5e4c6b83cc7869ab12832cef9ac4a09c7199d141e064809e6532e325c3b4b22385468ecdde3ea0a021523930c849b78e4bd8f7 SHA512 8c9959a9d84fb6c055b90b38ad6aabdf8e9459931ca50c959f395280199aaa707844330d26b33467119e77f3d50a51d76dd648fdb351de9228c8d54dc047c92e

diff --git a/dev-python/pytest-regressions/pytest-regressions-2.0.2.ebuild b/dev-python/pytest-regressions/pytest-regressions-2.0.2.ebuild
new file mode 100644
index 00000000000..c182743328e
--- /dev/null
+++ b/dev-python/pytest-regressions/pytest-regressions-2.0.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy to use fixtures to write regression tests"
+HOMEPAGE="https://github.com/ESSS/pytest-regressions"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? (
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/pillow[${PYTHON_USEDEP}]
+	dev-python/tox[${PYTHON_USEDEP}]
+)"
+
+RDEPEND="
+	dev-python/pytest[${PYTHON_USEDEP}]
+	dev-python/pytest-datadir[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/sphinx_rtd_theme
+
+python_test() {
+	distutils_install_for_testing
+	pytest -vv || die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2020-11-05  1:39 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-05  1:39 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-11 11:05 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-regressions/ Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:31 Sam James
2023-09-01  5:06 Michał Górny
2023-08-31 13:22 Michał Górny
2023-05-29 12:49 Michał Górny
2023-05-29 12:49 Michał Górny
2023-04-09 20:40 Andrew Ammerlaan
2023-03-19 17:36 Arthur Zamarin
2023-03-17 15:23 Michał Górny
2023-02-16 20:58 Arthur Zamarin
2023-01-25 16:10 WANG Xuerui
2023-01-14  4:57 Michał Górny
2022-10-22 15:58 Michał Górny
2022-10-22 15:50 Arthur Zamarin
2022-09-19 19:02 Arthur Zamarin
2022-06-24 15:46 Michał Górny
2022-05-17 12:20 Andrew Ammerlaan
2022-05-07 20:00 Michał Górny
2022-03-12 11:17 Arthur Zamarin
2022-03-01 11:30 Agostino Sarubbo
2022-02-28 10:13 Michał Górny
2022-02-28 10:13 Michał Górny
2022-02-28 10:13 Michał Górny
2022-02-28  8:35 Michał Górny
2022-02-13 13:00 Michał Górny
2022-02-13 10:38 Agostino Sarubbo
2022-02-07 11:36 Sam James
2022-01-19 22:59 Michał Górny
2022-01-04 21:46 Arthur Zamarin
2021-11-20  6:35 Sam James
2021-11-19  8:37 Arthur Zamarin
2021-11-19  7:59 Arthur Zamarin
2021-09-27 10:14 James Le Cuirot
2021-09-07  5:30 Sam James
2021-09-07  2:47 Sam James
2021-09-06 21:26 Sam James
2021-08-04 21:57 Marek Szuba
2021-07-25  3:23 Sam James
2021-07-23 14:08 Andrew Ammerlaan
2021-03-02  9:00 Michał Górny
2021-03-02  7:38 Sam James
2021-01-28  8:35 Michał Górny
2021-01-28  8:35 Michał Górny
2021-01-18 18:48 Michał Górny
2021-01-18 16:53 Sam James
2020-12-17  0:18 Matt Turner
2020-12-17  0:18 Matt Turner
2020-12-06  9:53 Joonas Niilola
2020-12-06  9:14 Michał Górny
2020-12-05  9:58 Michał Górny
2020-10-17 16:41 Joonas Niilola
2020-10-17 16:41 Joonas Niilola
2020-09-21 16:06 Michał Górny
2020-09-15  8:09 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1604540300.f87f69fee25b89e767d3c4e66757b19cbbe1c0a3.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox